# getResolvedConfiguration

abstract fun getResolvedConfiguration(): ResolvedConfiguration

Returns a ResolvedConfiguration, a legacy view of the results of dependency resolution. Avoid this method for new code. Prefer accessing resolution outputs via getIncoming. This API will be deprecated and removed in future Gradle versions.

See ResolvedConfiguration for details on why this API should not be used.

#### Return

The ResolvedConfiguration object